> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Klarna

> Connect Klarna to allow fetching transactions from your bank account

<sup>Required permissions: `open-banking:fetch-transactions`</sup>



## OpenAPI

````yaml post /klarna/connect
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /klarna/connect:
    parameters: []
    post:
      tags:
        - Open Banking
      summary: Connect Klarna
      description: |-
        Connect Klarna to allow fetching transactions from your bank account

        <sup>Required permissions: `open-banking:fetch-transactions`</sup>
      operationId: connectKlarna
      parameters: []
      responses:
        '201':
          description: The Klarna Open Banking flow
          content:
            application/json:
              schema:
                type: object
                properties:
                  clientSecret:
                    type: string
                    example: client_secret_1234567890
                  flowId:
                    type: string
                    example: flow_1234567890
                  confirmUrl:
                    type: string
                    example: https://example.com/klarna/connect/flow_1234567890
                    description: >-
                      The URL which you need to call after the user has
                      confirmed the connection
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - open-banking:fetch-transactions
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /klarna/connect \
             --header "Authorization: Bearer <token>"
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````